Package Gnumed :: Package business :: Module gmPraxis :: Class gmCurrentPraxisBranch |
[frames] | no frames]

# Class gmCurrentPraxisBranch

source code

               object --+
                        |
    pycommon.gmBorg.cBorg --+
                            |
                           gmCurrentPraxisBranch

Instance Methods
__init__(self, branch=None) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code
__getattr__(self, attribute) | source code
__getitem__(self, attribute=None) Return any attribute if known how to retrieve it by proxy. | source code
__setitem__(self, attribute, value) | source code
remove_from_waiting_list(self, pk=None) | source code
update_in_waiting_list(self, pk=None, urgency=0, comment=None, zone=None) | source code
raise_in_waiting_list(self, current_position=None) | source code
lower_in_waiting_list(self, current_position=None) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods
Inherited from `pycommon.gmBorg.cBorg`: `__new__`

Properties
| waiting_list_patients
| helpdesk
| db_logon_banner
| active_workplace Return the current workplace (client profile) definition.
| workplaces
| user_email
Inherited from `object`: `__class__`

Method Details

### __init__(self, branch=None) (Constructor) | source code
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__ (inherited documentation)

Property Details

### waiting_list_patients Get Method: _get_waiting_list_patients(self) Set Method: unreachable(x)

### helpdesk Get Method: _get_helpdesk(self) Set Method: _set_helpdesk(self, helpdesk)

### db_logon_banner Get Method: _get_db_logon_banner(self) Set Method: _set_db_logon_banner(self, banner)

### active_workplace Return the current workplace (client profile) definition. The first occurrence counts. Get Method: _get_workplace(self) - Return the current workplace (client profile) definition. Set Method: _set_workplace(self, workplace)

### workplaces Get Method: _get_workplaces(self) Set Method: _set_workplaces(self, val)

### user_email Get Method: _get_user_email(self) Set Method: _set_user_email(self, val)